-- Equality

infix 5 ==

data (==) {A:Set}(a:A) : A -> Prop where
  refl : a == a

cong (A,B:Set)(x,y:A) : (f : A -> B) -> x == y -> f x == f y
cong f refl = refl

sym (A:Set)(x,y:A) : x == y -> y == x
sym refl = refl

trans (A:Set)(x,y,z:A) : x == y -> y == z -> x == z
trans refl yz = yz

