
infixl 10 @

(@) (A, B, C : Set) : (B -> C) -> (A -> B) -> A -> C
f @ g = \x -> f (g x)

data (×) (A,B : Set) : Set where
  pair : A -> B -> A × B

fst (A, B : Set) : A × B -> A
fst (pair x _) = x

snd (A, B : Set) : A × B -> B
snd (pair _ y) = y

uncurry (A, B, C : Set) : (A -> B -> C) -> (A × B -> C)
uncurry f (pair x y) = f x y

curry (A, B, C : Set) : (A × B -> C) -> (A -> B -> C)
curry f x y = f (pair x y)

flip (A, B, C : Set) : (A -> B -> C) -> B -> A -> C
flip f x y = f y x

const (A, B : Set) : A -> B -> A
const x y = x

