
-- # import Property
-- # import Nat
-- # import QuickCheck

infix 12 ≤

(≤) : Nat -> Nat -> Bool
0     ≤ m	= true
suc n ≤ 0	= false
suc n ≤ suc m	= n ≤ m

isOrdered : List Nat -> Bool
isOrdered []	     = true
isOrdered [x]	     = true
isOrdered (x :: y :: xs) = x ≤ y && isOrdered (y :: xs)

length (a : Set) : List a -> Nat
length []      = 0
length (x :: xs) = 1 + length xs

sort : List Nat -> List Nat
sort [] = []
sort (x :: xs) = insert x (sort xs)
  where
    insert : Nat -> List Nat -> List Nat
    insert y [] = [y]
    insert y (z :: zs) with y ≤ z =>
      ins  y (z :: zs) false  = z :: insert y zs
      ins  y (z :: zs) true   = y :: z :: zs

propOrdered : (xs : List Nat) -> Tested (Holds $ isOrdered (sort xs))
propOrdered = qc-plugin(arbList arbNat)

